Subject: bug#26158: I can only start an X server in guix as root

From: [email-masked] (Ludovic Courtès)
Date: Fri, 31 Mar 2017 18:29:54 +0200

Hi,

(- help-guix.)

Joshua Branson <[email-masked]> skribis:

> I've responded to this email on the guix-bugs emailing list located 
> here: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26158
>
> I did try a guix system vm /path/to/config-file.scm;  and I could still 
> not log into guixSD.

In the VM the password for users other that root is uninitialized.  So
you must first log in as ‘root’, for instance on a tty, run “passwd
joshua”, and only after that will you be able to log in.

Could you check if that helps?

Thanks in advance!

Ludo’.